/**
 * <copyright>
 * </copyright>
 *
 * $Id: MeasurementValidator.java,v 1.1 2008-04-01 09:35:22 vmahe Exp $
 */
package orgomg.cwm.management.warehouseoperation.validation;

import orgomg.cwm.objectmodel.core.ModelElement;

/**
 * A sample validator interface for {@link orgomg.cwm.management.warehouseoperation.Measurement}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface MeasurementValidator {
	boolean validate();

	boolean validateValue(String value);
	boolean validateUnit(String value);
	boolean validateType(String value);
	boolean validateCreationDate(String value);
	boolean validateEffectiveDate(String value);
	boolean validateModelElement(ModelElement value);
}
